Remove Label from Queue
Detach an annotation label from a queue.
Remove Label from Queue
Remove an annotation label from a queue. Existing annotations using this label are not deleted.
POST
https://api.futureagi.com/model-hub/annotation-queues/{id}/remove-label/
Bearer
Click "Try It" to send a request
Authentication
| Header | Description |
|---|---|
X-Api-Key | Your API key |
X-Secret-Key | Your secret key |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | UUID | Yes | The annotation queue ID |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
label_id | UUID | Yes | The annotation label ID to remove |
Response
Returns the updated queue object with the label removed from the labels array.
Code Examples
import requests
queue_id = "your-queue-uuid"
resp = requests.post(
f"https://api.futureagi.com/model-hub/annotation-queues/{queue_id}/remove-label/",
headers={"X-Api-Key": "YOUR_KEY", "X-Secret-Key": "YOUR_SECRET"},
json={"label_id": "label-uuid"}
)
print(resp.json())import axios from 'axios';
const queueId = 'your-queue-uuid';
const resp = await axios.post(
`https://api.futureagi.com/model-hub/annotation-queues/${queueId}/remove-label/`,
{ labelId: 'label-uuid' },
{ headers: { 'X-Api-Key': 'YOUR_KEY', 'X-Secret-Key': 'YOUR_SECRET' } }
);
console.log(resp.data);curl -X POST "https://api.futureagi.com/model-hub/annotation-queues/your-queue-uuid/remove-label/" \
-H "X-Api-Key: YOUR_KEY" \
-H "X-Secret-Key: YOUR_SECRET" \
-H "Content-Type: application/json" \
-d '{"label_id": "label-uuid"}' Was this page helpful?